Bug 158837 - [PATCH] www/awstats: fix breakage under perl5.14
Summary: [PATCH] www/awstats: fix breakage under perl5.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-12 16:10 UTC by Jase Thew
Modified: 2011-07-14 21:00 UTC (History)
1 user (show)

See Also:


Attachments
awstats-7.0_2,1.patch (1.88 KB, patch)
2011-07-12 16:10 UTC, Jase Thew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jase Thew 2011-07-12 16:10:10 UTC
Perl 5.14 changes format of compiled regexps. This patch amends the pattern awstats uses to parse
compiled regexps to cater for the new 5.14 format.

The patch was taken from the upstream bug tracker:
http://sourceforge.net/tracker/?func=detail&aid=3311848&group_id=13764&atid=113764

I've smoke tested this and it resolves the issue.

Port maintainer (samm@os2.kiev.ua) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-07-12 16:10:20 UTC
Maintainer of www/awstats,

Please note that PR ports/158837 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/158837

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-07-12 16:10:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Oleksii Samorukov freebsd_committer 2011-07-12 16:17:51 UTC
Patch is still in the "open" state. Do you know if developers are going 
to commit it? I am not very happy with non-official patches.
Comment 4 Jase Thew 2011-07-12 17:04:45 UTC
On 12/07/2011 16:17, Alex Samorukov wrote:
> Patch is still in the "open" state. Do you know if developers are going
> to commit it? I am not very happy with non-official patches.

I think unofficial patches are perfectly acceptable especially when a) 
they unbreak a port, b) are extremely trivial and c) can be removed when 
the bug is actually fixed upstream and a new release is cut.

But it's your port, so it's your call. I'm quite happy to run it as a 
local patch, but thought other users of the port running with Perl 5.14 
would like to benefit from it.

Regards,

Jase.
Comment 5 Oleksii Samorukov freebsd_committer 2011-07-12 20:24:10 UTC
Agree with your arguments.
Ok, i checked CVS and it seems that devs are not very active last 
months. I`m accepting this patch, thank you for commit. I hope it will 
not break anything else.
Comment 6 Beech Rintoul freebsd_committer 2011-07-12 21:08:20 UTC
State Changed
From-To: feedback->open

Maintainer approved 


Comment 7 Beech Rintoul freebsd_committer 2011-07-12 21:08:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 8 dfilter service freebsd_committer 2011-07-14 17:42:28 UTC
beech       2011-07-14 16:42:10 UTC

  FreeBSD ports repository

  Modified files:
    www/awstats          Makefile 
    www/awstats/files    patch-wwwroot-cgi-bin-awstats.pl 
  Log:
  - Perl 5.14 changes format of compiled regexps.
    This update amends the pattern awstats uses to parse
    compiled regexps to cater for the new 5.14 format
  
  PR:             ports/158837
  Submitted by:   Jase Thew <freebsd@beardz.net>
  Approved by:    Alex Samorukov <samm@os2.kiev.ua> (maintainer)
  
  Revision  Changes    Path
  1.46      +1 -1      ports/www/awstats/Makefile
  1.5       +23 -3     ports/www/awstats/files/patch-wwwroot-cgi-bin-awstats.pl
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Beech Rintoul freebsd_committer 2011-07-14 17:42:43 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 10 alexander 2011-07-14 20:56:57 UTC
Hi

I just wanted to say thanks for adding the patch to the port (I'm the =
original author of the fix). I was actually considering sending a PR =
about it myself after I posted my solution to the awstats bug tracker, =
but decided against it for maintainer's reasons. Unfortunately, it seems =
awstats development has practically ended, making it necessary to =
maintain local patches like this.

Thanks,
Alex